package com.ho.business.service.impl;

import com.ho.business.entity.StationStatus;
import com.ho.business.mapper.StationStatusMapper;
import com.ho.business.service.StationStatusService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * @author yy
 * @description 针对表【station_status】的数据库操作Service实现
 * @createDate 2023-09-09 17:58:07
 */
@Service
@Slf4j
public class StationStatusServiceImpl implements StationStatusService {
    @Autowired
    StationStatusMapper stationStatusMapper;

    @Override
    public int insertSelective(StationStatus record) {
       int i= stationStatusMapper.insertSelective(record);
        return i;
    }

    @Override
    public List<StationStatus> selectByStationId(List<Integer> stationIds, String beginTime, String endTime) {
        List<StationStatus> list =new ArrayList<>();
        if(!stationIds.isEmpty()){
           list =stationStatusMapper.selectByStationId(stationIds,beginTime,endTime);
        }
        return list;
    }


}




